id: uni-gui-framework

info:
  name: UniGUI Framework - Detect
  author: serrapa
  severity: info
  description: |
    Checks for the presence of UniGUI framework and extracts its version along with the Sencha Ext JS version.
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"UniGUI"
  tags: tech,unigui

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "uni-xtheme-"
          - "ext-all.js"
          - "uniVars._extVer="
        condition: or

      - type: regex
        part: body
        regex:
          - 'uni-(\d+\.\d+\.\d+\.\d+)/'
          - 'uniVars._extVer="(\d+\.\d+\.\d+)"'

    extractors:
      - type: regex
        part: body
        name: uni_gui_version
        regex:
          - 'uni-(\d+\.\d+\.\d+\.\d+)'

      - type: regex
        part: body
        name: ext_js_version
        regex:
          - 'uniVars._extVer="(\d+\.\d+\.\d+)"'
# digest: 490a0046304402200896410df8e6548f3246d927dcd497f806721626913f7c90c8d63b5c0e92e886022001e0857c321ca7d27340a43942104d2d84c39d6d7988891d4b518a8512cb062c:922c64590222798bb761d5b6d8e72950